Internet Explorer: “Se ha detectado que no tiene instalada ninguna versión de Java igual o superior a la versión…”

Hoy hemos tenido un cliente con un problema con Internet Explorer que se sumaba a los problemas de los certificados con los cambios de seguridad de Java (vaya unos días que están teniendo las asesorías etc).

El error era en este caso con una página de correos y de notificaciones y decía: “Se ha detectado que no tiene instalada ninguna versión de Java igual o superior a la versión 1.6.0_17“. En nuestro caso el cliente usaba el navegador Internet Explorer 11, pero algo me dice que pasaría lo mismo en el 10.

Evidentemente esto puede pasar si no tienes las últimas versiones de Java (instalala desde aquí). O si tienes alguna versión antigua instalada y no coge la nueva bien. Puedes desinstalar las versiones antiguas así, o comprobar aquí si tienes la última versión.

En nuestro caso teníamos la última versión, ninguna anterior instalada y aún así daba el error.
La solución errar ejecutar las páginas con el error en modo de compatibilidad.

A ver, esto es sencillo en Internet Explorer 10. Tienes un icono como de una hoja de papel partida en la barra de URL (donde pones la dirección). Si pinchas en ese icono ejecuta la página con modo de compatibilidad.  El icono en gris es que no está activo este modo, en azul es que si. IE recuerda esta preferencia y la siguiente vez volverá a ejecutar la página en este modo a menos que lo desactives. De hecho si tienes esta versión recomiendo que al activarlo refresques la página porque te pedirá ejecutar cosas de java que necesitas.
A veces, como en el caso de correos, una página que arreglemos así puede llevarte a otra en la que haya que hacer lo mismo (la de correos nos llevaba a notificaciones). Conviene ejecutar la compatibilidad en ambos para que el navegador lo recuerde, salir y volver a entrar.

Si tienes Internet Explorer 11 es algo más complicado (aunque a mi ver mejor para configurar). Para activar el Selección_036modo de compatibilidad vete a Herramientas (si no sale el menu pulsa ALT) y luego a Configuración de Vista de Compatibilidad.  Aquí se te abre un menú donde tienes que poner las páginas que quieres que se ejecuten en este modo. Normalmente te rellena la primera casilla con la dirección en la que estás, si no tienes que ponerlo. Como en el caso anterior, una página con este error suele llevarte a otra con el mismo con lo que tendrás que refrescar. De hecho en nuestro caso corregimos este error, nos llevaba a otra página de descarga que daba un error. Teníamos que añadir ambas al modo, cerrar el navegador y volver a abrirlo, aceptar los avisos de java y ya dejaba descargar la notificación.

Espero que os sea útil